%define fw_version 5.41

Summary:	KDE Frameworks 5 module with various classes to work with KCModules
Name:		kcmutils
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5declarative-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5itemviews-devel >= %{version}
BuildRequires:	kf5package-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 module with various classes to work with KCModules.

KCMUtils provides various classes to work with KCModules. KCModules can
be created with the KConfigWidgets framework.

%files
%{_kde5_servicetypes}/kcmodule.desktop
%{_kde5_servicetypes}/kcmoduleinit.desktop

#----------------------------------------------------------------------------

%package i18n
Summary:	KCMUtils translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KCMUtils translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5kcmutils_major 5
%define libkf5kcmutils %mklibname kf5kcmutils %{kf5kcmutils_major}

%package -n %{libkf5kcmutils}
Summary:	KDE Frameworks 5 KCMUtils shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5kcmutils}
KDE Frameworks 5 KCMUtils shared library.

%files -n %{libkf5kcmutils}
%{_kde5_libdir}/libKF5KCMUtils.so.%{kf5kcmutils_major}*

#----------------------------------------------------------------------------

%define devkf5kcmutils %mklibname kf5kcmutils -d

%package -n %{devkf5kcmutils}
Summary:	Development files for KDE Frameworks 5 KCMUtils
Group:		Development/KDE and Qt
Requires:	%{libkf5kcmutils} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kcmutils-devel = %{EVRD}

%description -n %{devkf5kcmutils}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kcmutils}
%{_kde5_includedir}/KF5/KCMUtils
%{_kde5_includedir}/KF5/kcmutils_version.h
%{_kde5_libdir}/cmake/KF5KCMUtils
%{_kde5_libdir}/libKF5KCMUtils.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (5ba1a14) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (b357d76) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (6e4188f) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (cf46ee4) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (ab5de54) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (07078df) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (44d0bef) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (368f2b6) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (7436795) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (30d33ff) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (dcd0d1d) Build requires pkgconfig(Qt5QuickWidgets)
- (Andrey Bondrov: 8ad64d7) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (4f5e694) MassBuild#1023: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (1aaf2b8) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (36cae38) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (c4f803b) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (7257648) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (a662095) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (9cf82a1) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (7708208) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (f9c1faa) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (6cf2106) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (d4a8949) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (18ca920) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (5e2997e) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (ba1152a) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (8f800c2) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (01f214f) Update BuildRequires
- (Andrey Bondrov: 8827b67) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (76de74e) New version 5.8.0


